package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TDeviceClock;

/**
 * 设备设置闹钟Service接口
 * 
 * @author zhengjie
 * @date 2023-09-20
 */
public interface ITDeviceClockService 
{
    /**
     * 查询设备设置闹钟
     * 
     * @param id 设备设置闹钟主键
     * @return 设备设置闹钟
     */
    public TDeviceClock selectTDeviceClockById(Integer id);

    /**
     * 查询设备设置闹钟
     *
     * @param deviceIdCode 设备设置号
     * @return 设备设置闹钟
     */
    public TDeviceClock selectTDeviceClockByCode(String deviceIdCode);

    /**
     * 查询设备设置闹钟列表
     * 
     * @param tDeviceClock 设备设置闹钟
     * @return 设备设置闹钟集合
     */
    public List<TDeviceClock> selectTDeviceClockList(TDeviceClock tDeviceClock);

    /**
     * 新增设备设置闹钟
     * 
     * @param tDeviceClock 设备设置闹钟
     * @return 结果
     */
    public int insertTDeviceClock(List<TDeviceClock> tDeviceClock);

    /**
     * 修改设备设置闹钟
     * 
     * @param tDeviceClock 设备设置闹钟
     * @return 结果
     */
    public int updateTDeviceClock(TDeviceClock tDeviceClock);

    /**
     * 批量删除设备设置闹钟
     * 
     * @param ids 需要删除的设备设置闹钟主键集合
     * @return 结果
     */
    public int deleteTDeviceClockByIds(Integer[] ids);

    /**
     * 删除设备设置闹钟信息
     * 
     * @param id 设备设置闹钟主键
     * @return 结果
     */
    public int deleteTDeviceClockById(Integer id);
}
